package com.yc.ship.module.resource.service.scenic;

import java.util.*;
import javax.validation.*;
import com.yc.ship.module.resource.controller.admin.scenic.vo.*;
import com.yc.ship.module.resource.dal.dataobject.scenic.ResourceScenicDO;
import com.yc.ship.framework.common.pojo.PageResult;
import com.yc.ship.framework.common.pojo.PageParam;

/**
 * 景区管理 Service 接口
 *
 * @author lfy
 */
public interface ResourceScenicService {

    /**
     * 创建景区管理
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createScenic(@Valid ResourceScenicSaveReqVO createReqVO);

    /**
     * 更新景区管理
     *
     * @param updateReqVO 更新信息
     */
    void updateScenic(@Valid ResourceScenicSaveReqVO updateReqVO);

    /**
     * 删除景区管理
     *
     * @param id 编号
     */
    void deleteScenic(Long id);

    /**
     * 获得景区管理
     *
     * @param id 编号
     * @return 景区管理
     */
    ResourceScenicDO getScenic(Long id);

    /**
     * 获得景区管理分页
     *
     * @param pageReqVO 分页查询
     * @return 景区管理分页
     */
    PageResult<ResourceScenicDO> getScenicPage(ResourceScenicPageReqVO pageReqVO);

    /**
     *  获取启用的景区列表
     * @return
     */
    List<ResourceScenicDO> getEnableScenicList();

    /**
     *  获取景区列表
     * @param scenicIds
     * @return
     */
    List<ResourceScenicDO> getList(List<Long> scenicIds);

    List<ResourceScenicDO> getListSimple();
}